== Exercise Sheet 6 - Differentials

=== Exercise 1 @Exercise[6, 1]
#block(
  fill: luma(230),
  inset: 8pt,
  radius: 4pt,
[
	Determine the directional derivative of $f(x, y) = cos(x + y) · sin(x − y)$ at $(0, 0)$ in direction $(2, 1)$.
])

$
(delta f)/(delta x) &= u' dot v + u dot v' \
&= -sin(x+y) dot sin(x-y) + cos(x+y) dot cos(x-y) \
(delta f)/(delta y) &= u' dot v + u dot v' \
&= -sin(x+y) dot sin(x-y) - cos(x+y) dot cos(x-y) \
\
v &= (2,1) dot 1/(norm((2,1))) = (2/sqrt(5) , 1/sqrt(5)) \
f_v (0,0) &= lr(angle.l nabla f(1,1) , v angle.r) \
&= lr(angle.l (?,?) , (2,1) angle.r) =^(???) 1/sqrt(5)
$

#pagebreak()
=== Exercise 2 @Exercise[6, 2]
#block(
  fill: luma(230),
  inset: 8pt,
  radius: 4pt,
[
	Determine the tangential plane for the function
	$
	f(x,y) = x sqrt(1/(y^2+1)) + cos(pi dot x y)
	$
	at $P = (a,b) = (1,1)$.
])

$
(delta f)/(delta x) &= sqrt(1/(y^2+1)) - sin(pi dot x y) \
(delta f)/(delta y) &= x dot 1/(2(y^2+1)) dot 2y - sin(pi dot x y) \
\
z &= f(a,b) + (delta f)/(delta x) dot (x-a) + (delta f)/(delta y) dot (y-b) \
&= sqrt(1/2) + cos(pi) + (sqrt(1/2) - sin(pi))(x-1) + (1 dot 1/(2 dot 2) dot 2 - sin(pi))(y-1) \
&= sqrt(1/2) + cos(pi) + sqrt(1/2)(x-1) + 1/2(y-1) \
&= sqrt(1/2) - 1 + (x-1)/sqrt(2) + (y-1)/2 \
$

Die Lösung hier hat $z = 1/sqrt(2) - 1 + (x-1)/sqrt(2) - (y-1)/2^(3/2)$ mit 
$nabla f(1,1) = (1/sqrt(2) , -2^(-3/2))$ und ich habe keine Ahung 
warum. Actually doch, hab falsch abgeleitet.

$
(delta f)/(delta x) &= sqrt(1/(y^2+1)) - sin(pi dot x y) dot pi y \
(delta f)/(delta y) &= (x dot 1/sqrt(y^2+1))' - sin(pi dot x y) dot pi x \
&= [x dot (-1)/(2 (y^2 + 1)^(3/2)) dot 2y] - sin(pi dot x y) dot pi x \
&= [x dot (-1)/((y^2 + 1)^(3/2)) dot y] - sin(pi dot x y) dot pi x \
&= -x ( [1/(y^2+1)]^(2/3) dot y + sin(pi dot x y) dot pi x) \
\
z &= f(a,b) + (delta f)/(delta x) dot (x-a) + (delta f)/(delta y) dot (y-b) \
&= (1/sqrt(2) - 1) + (sqrt(1/2) - sin(pi))(x-1) - ([1/2]^(2/3) + sin(pi))(y-1) \
&= (1/sqrt(2) - 1) + sqrt(1/2)(x-1) - [1/2]^(2/3) (y-1) checkmark
$

#pagebreak()
=== Exercise 3 @Exercise[6, 3]
#block(
  fill: luma(230),
  inset: 8pt,
  radius: 4pt,
[
	Determine the total derivatives of the functions

	#set enum(numbering: "(a)")
	+ $ f(x,y) = (x^2-y^2)/(1+x^2+y^2) $
	+ $ f(x,y) = ln(x^2+y^2+1) $
])

#set enum(numbering: "(a)")
+ $
	u(x,y) &= x^2 - y^2 quad => quad (delta u)/(delta x) = 2x and (delta u)/(delta y) = -2y \
	v(x,y) &= 1 + x^2 + y^2 quad => quad (delta v)/(delta x) = 2x and (delta v)/(delta y) = 2y \
	\
	=> f(x,y) &= u(x,y)/v(x,y) \
(delta f)/(delta x) &= (u dot v' - u' dot v)/v^2 \
&= ((x^2-y^2)(2y) - (-2y)(1+x^2+y^2))/(1+x^2+y^2)^2 \
&= ((x^2-y^2)2y + 2y(1+x^2+y^2))/(1+x^2+y^2)^2 \
dots "falsch??"

$

Lösung sus, also weiter gehts. Rest kb gehabt, aber Lösung geschaut.
